MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
DecoderList.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for DecoderList.hxx:

Go to the source code of this file.

## Functions
gcc_pure const struct DecoderPlugin * | decoder_plugin_from_name (const char *name)
void | decoder_plugin_init_all ()
void | decoder_plugin_deinit_all ()
template<typename F >
static const DecoderPlugin * | decoder_plugins_find (F f)
template<typename F >
static bool | decoder_plugins_try (F f)
template<typename F >
static void | decoder_plugins_for_each (F f)
template<typename F >
static void | decoder_plugins_for_each_enabled (F f)
gcc_pure gcc_nonnull_all bool | decoder_plugins_supports_suffix (const char *suffix)
| Is there at least once DecoderPlugin that supports the specified file name suffix? More...

## Variables
const struct DecoderPlugin *const | decoder_plugins []
bool | decoder_plugins_enabled []

## Function Documentation

void decoder_plugin_deinit_all | ( |  | ) |

gcc_pure const struct DecoderPlugin* decoder_plugin_from_name | ( | const char * | name | ) |

void decoder_plugin_init_all | ( |  | ) |

template<typename F >

static const DecoderPlugin* decoder_plugins_find | ( | F | f | ) |
| inline static

Definition at line 46 of file DecoderList.hxx.

template<typename F >

static void decoder_plugins_for_each | ( | F | f | ) |
| inline static

Definition at line 68 of file DecoderList.hxx.

template<typename F >

static void decoder_plugins_for_each_enabled | ( | F | f | ) |
| inline static

Definition at line 76 of file DecoderList.hxx.

gcc_pure gcc_nonnull_all bool decoder_plugins_supports_suffix | ( | const char * | suffix | ) |

Is there at least once DecoderPlugin that supports the specified file name suffix?

template<typename F >

static bool decoder_plugins_try | ( | F | f | ) |
| inline static

Definition at line 57 of file DecoderList.hxx.

## Variable Documentation

const struct DecoderPlugin* const decoder_plugins[]

bool decoder_plugins_enabled[]